//------------------------------------------------------------------------------
//
//  npctrl.h
//  npe
//
//  Created by Shane Saxon on 2/19/10.
//  Copyright Saxon Digital 2010. All rights reserved.
//
//------------------------------------------------------------------------------

#ifndef npctrl_H_
#define npctrl_H_


// 120Hz timer, 60, 30, 24
// 119.88Hz timer, 59.94, 29.97, 23.976


//---- Graph Command Constants ----

enum {
	//global graph commands
	kCtrlCommandNull = 0,
	kGraphMenu = 4242,		//
	kGraphDrawIndicators,
	
	kGraphNew,
	kGraphDelete,

	kGraphNext,
	kGraphPrevious,
	kGraphNextBranch,
	kGraphPreviousBranch,

	kGraphGrid,
	kGraphCamera,

	kGraphSelect,
	kGraphSelectOne,
	kGraphSelectTwo,
	kGraphSelectThree,
	kGraphSelectAll,

	kGraphPresetOne,
	kGraphPresetTwo,
	kGraphPresetThree,
	kGraphPresetFour,
	kGraphPresetFive,
	kGraphPresetSix,
	kGraphPresetSeven,
	kGraphPresetEight,

	//translate, rotate and scale selected objects
	kGraphSelectAxes,
	
	kGraphXincrease,
	kGraphXincreaseOff,
	kGraphXdecrease,
	kGraphXdecreaseOff,
	
	kGraphYincrease,
	kGraphYincreaseOff,
	kGraphYdecrease,
	kGraphYdecreaseOff,
	
	kGraphZincrease,
	kGraphZincreaseOff,
	kGraphZdecrease,
	kGraphZdecreaseOff,
	
	kGraphRotateLeft,
	kGraphRotateLeftOff,
	kGraphRotateRight,
	kGraphRotateRightOff,

	kGraphRotateUp,
	kGraphRotateUpOff,
	kGraphRotateDown,
	kGraphRotateDownOff,

	kGraphRotateCCW,
	kGraphRotateCCWOff,
	kGraphRotateCW,
	kGraphRotateCWOff,

	kGraphZoomOn,
	kGraphZoomOff,
	
	kGraphClearFrameBuffer, 
	
	//plot specific graph commands
	kGraphSampleInterval,
	kGraphChannelDown,
	kGraphChannelUp,
	kGraphColorDown,
	kGraphColorFade,
	kGraphAltColor,
	kGraphColorUp,
	kGraphColorPallete,
	
	kGraphFreeze,
	kGraphHide,
	kGraphClear,
	
	kGraphCenter,
	kGraphScroll,

	kGraphPoints,	
	kGraphLines,
	kGraphSurface,
	kGraphMesh,

	kGraphAlphaUp,
	kGraphAlphaDown,
	kGraphBiasUp,
	kGraphBiasDown,
	kGraphGainUp,
	kGraphGainDown,

	kEventLowSetpoint,											// add kGraph..,  debug zz
	kEventHighSetpoint,

	kFullScreenExit
};


//--- Functions ----------------------------------------------------------------

void npInitCtrl (void* dataRef);
void npCloseCtrl (void* dataRef);

int npMainAppLoop(void* dataRef);

void npCtrlCommand (int command, void* dataRef);

void npCtrlUpdate (void* dataRef);

#endif